com.holonplatform.spring.security.internal

## Class DefaultAuthenticationManagerAuthenticator

- java.lang.Object
- - com.holonplatform.spring.security.internal.AbstractAuthenticationManagerAuthenticator<SpringSecurityAuthenticationToken>
  - - com.holonplatform.spring.security.internal.DefaultAuthenticationManagerAuthenticator

- All Implemented Interfaces:
    Authenticator<SpringSecurityAuthenticationToken>

      public class DefaultAuthenticationManagerAuthenticator
      extends AbstractAuthenticationManagerAuthenticator<SpringSecurityAuthenticationToken>

  Default Spring Security `Authenticator` using `SpringSecurityAuthenticationToken` types.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.auth.Authenticator

      `Authenticator.MessageAuthenticator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAuthenticationManagerAuthenticator(org.springframework.security.authentication.AuthenticationManager authenticationManager)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends SpringSecurityAuthenticationToken>` | `getTokenType()` Get supported `AuthenticationToken` type

    - ### Methods inherited from class com.holonplatform.spring.security.internal.AbstractAuthenticationManagerAuthenticator

      `authenticate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.auth.Authenticator

      `create`

- - ### Constructor Detail

    - #### DefaultAuthenticationManagerAuthenticator

          public DefaultAuthenticationManagerAuthenticator(org.springframework.security.authentication.AuthenticationManager authenticationManager)

      Constructor.
      Parameters:
        `authenticationManager` - Spring Security `AuthenticationManager` (not null)

  - ### Method Detail

    - #### getTokenType

          public Class<? extends SpringSecurityAuthenticationToken> getTokenType()

      Description copied from interface: `Authenticator`
      Get supported `AuthenticationToken` type
      Returns:
        Supported `AuthenticationToken` type

Copyright © 2019 The Holon Platform. All rights reserved.